Homestead Laravel - 需要Mcrypt PHP扩展

我已经安装了Homestead,我正在尝试使用Laravel项目版本4.2但是我一直收到以下错误:

需要Mcrypt PHP扩展 .

我已经在服务器上安装了Mcypt,我已将其启用到PHP 7 ini文件中 . 这个问题不想因某种原因而消失 .

有什么建议我可以做什么才能在我的虚拟盒子上启用Mcrypt?

回答(1)

2 years ago

由于php7.1 mcrypt已被弃用,因此您必须将php降级为php7.0或安装多个版本的php但不要忘记在http服务器配置文件中启用正确的版本

或者你可以使用像内置服务器的PHP:

cd project_dir/
php7.0 -S localhost:8000